# Configuration

The main two files which must be placed next to `.xcodeproj` are `Rakefile` and `build.yaml`.

To initialize those files with default values simply execute from the root of your project:

```
$ xcodebuild_rake_init
```

## Build.yaml

This file contains `setups` which are used to invoke `xcodebuild`, parameters reflects the arguments you would provide manually to CLI tool.

By default there are 2 setups:
```
setups:

 - name: Default
   sdk:	iphoneos
   workspace:
   scheme:
   configuration: Release

 - name: Specs
   sdk:	iphonesimulator
   xcpretty-flags: -c -t -r junit
   destination:
    platform: iOS Simulator
    name: iPhone 6
    os: 9.0
```


Setup `Default` is used for building and archiving and it's base setup for any other. Which means that you don't need to repeat setup for fields which can be take from default one. Setup `Specs` is used for `test` task.

`scheme` property is left blank for you to fill in your default scheme.

If you're using workspace fill in setting `workspace`, otherwise you can remove it.

## Rakefile

You must modify `PRODUCT_NAME` constant from the `Rakefile`, use the value of `PRODUCT_NAME` from your Xcode settings (most likely `.xcodeproj` or `.xcworkspace` name)
