# Usage

Rakefile is based on our in-house build script (soon to be extract as submodule or ruby gem), which provides helpers functions for executing builds from command line.

Build script setup is defined in the `build.yaml` file. There you can find a `Default` configuration which is a starting point for each task. Plus all additional configurations for specific tasks, e.g. "Specs" configuration defines destination of the test execution.

Once the build-script is extracted into separate project the documentation of the `build.yaml` will be provided.

###Clean

To clean the project invoke the following:

```
$ rake clean
```

### Build

To build the project invoke the following:

```
$ rake build
```

Result of the task can be found under `build` directory.

### Archive

To archive the project for distribution invoke the following:

```
$ rake archive
```

The result of this task are zipped .app and .dSYM files that are located `build` directory. 

### Test

To build the project invoke the following:

```
$ rake test
```

The JUnit formatted test output XML can be found under `build/reports/junit.xml`.


### Watch

To speed up the local development and receive quick feedback when something goes wrong you can use `watch` task. To use this task you first need to install two tools: `fswatch` (repo [here](https://github.com/emcrisostomo/fswatch)):

```
$ brew install fswatch
```

and `terminal-notifier` (repo [here](https://github.com/alloy/terminal-notifier)) which is added to `Gemfile`. This way, whenever something goes wrong you will get a Mac OS notification.

Once you have it on your machine, simply invoke the `watch` task:

```
$ rake watch
```

From now on, every time you change something in your source code, it will be immediately incrementally complied. This feedback is extremely useful when one starts his journey with Swift lang.


You can also execute tests for each change with the following task:

```
$ rake watch_test
```
