# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'xcodebuild_rake/version'

Gem::Specification.new do |spec|
  spec.name          = "xcodebuild_rake"
  spec.version       = XcodebuildRake::VERSION
  spec.authors       = ["Łukasz Przytuła", "Aleksander Zubala"]
  spec.email         = ["lprzytula@applause.com", "azubala@applause.com"]

  spec.summary       = "Xcodebuild helpers for rake"
  spec.description   = "This gem contains useful helpers for building and testing iOS/watchOS/tvOS/macOS apps using rake."
  spec.homepage      = "https://github.com/ApplauseAQI/xcodebuild-rake"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency 'xcpretty'
  spec.add_runtime_dependency 'terminal-notifier', '~> 1.6.3'
  spec.add_runtime_dependency 'aws-sdk', '~> 2.1.2'

  spec.post_install_message = "Thanks for using xcodebuild_rake!"
end
